Subject: Dynamic Link/Loading for Linux.
From: [email-masked] (Aubrey Jaffer)
Date: 14 Dec 1993 15:58:56 +0200
Newsgroups: comp.os.linux.announce

I have uploaded DLD for Linux (which is now fully working) to:
/[email-masked]:/incoming/src-dld-3.2.3.tar.gz.

DLD is a library which allows a running program to import new object
(.o) and library files and call and access routines and variables in
them.  This is different from what ld.so does.

Here is the README:

[email-masked] (Ulrich Pegelow),
[email-masked] (Johann Friedrich Heinrichmeyer),
[email-masked] (Jon Davis), and I have ported DLD to Linux.

I have made this distribution version specifically for Linux.  The
original, with postscript papers, is available from
prep.ai.mit.edu:pub/gnu/dld-3.2.3.tar.gz.

First, from the dld directory, type `make check' (or `make' for no
tests).  This will make libdld.a and then make and run the test
programs in subdirectory `test'.

Examine the output.  The output from the "general" test should look
similar to "test/EXPECTED_OUTPUT".  The other tests should print no
error messages

If this is satisfactory, typing `make install' will copy libdld.a into
/usr/lib/ and dld.info into /usr/emacs/info/.

	Aubrey Jaffer ([email-masked])
	Tue Dec 12 22:48:22 GMT 1993

Here is the original README:
================================================================
This is dld version 3.2.3.  It currently supports VAX (Ultrix), Sun 3
(SunOS 3.4 and 4.0), SPARCstation (SunOS 4.0), Sequent Symmetry
(Dynix), and Atari ST.

To compile,  type "make".
To compile the test programs, cd to "test" and then type "make".

Changes from 3.2.1 to 3.2.3 is minimal.  Mainly contains the port to
Atari and Symmetry.  I've received quite a number of suggestions for
improvements, new features, and debugging support.  I'll incorporate
them in release 3.3--whenever I have time to work on it!

Wilson Ho ([email-masked])
Wed May 29 22:21:31 PDT 1991

P.S.  Port for Atari is contributed by Edgar Roeder.  See ChangeLog.

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.